<?php
/**
 * Block Patterns
 *
 * @package building_renovation
 * @since 1.0
 */

function building_renovation_register_block_patterns() {
	$building_renovation_block_pattern_categories = array(
		'building-renovation' => array( 'label' => esc_html__( 'Building Renovation', 'building-renovation' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'building-renovation' ) ),
	);

	$building_renovation_block_pattern_categories = apply_filters( 'building_renovation_building_renovation_block_pattern_categories', $building_renovation_block_pattern_categories );

	foreach ( $building_renovation_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'building_renovation_register_block_patterns', 9 );